Script
Executes a script expression against a record, with writes and trigger cascades enabled — requires the records:write grant. do as database is confined to the module named here.
Autorisierungen
AuthorizationstringErforderlich
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Pfadparameter
workspaceIdstring · min: 12 · max: 12ErforderlichExample:
Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Body
moduleNamestring · min: 1 · max: 100ErforderlichPattern:
Module name — do as database is confined to this module
^[a-z0-9_]+$rowIdinteger · min: 1 · max: 9007199254740991Optional
Record the script evaluates against
scriptstringErforderlich
Script to execute (system format)
tableNamestring · min: 1 · max: 100OptionalPattern:
Table name
^[a-z0-9_]+$Antworten
200
Script executed successfully
application/json
dataanyErforderlich
The script expression's result
401
Unauthorized
application/json
403
Insufficient API key scope
application/json
500
Internal server error
application/json
post/api/v1/workspace/{workspaceId}/script/exec
POST /api/v1/workspace/{workspaceId}/script/exec HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66
{
"moduleName": "text",
"rowId": 1,
"script": "text",
"tableName": "text"
}{
"data": null
}Zuletzt aktualisiert
War das hilfreich?